box_version=$(cat /var/etc/plimgr/cams/oscam)
old_version=$(cat /var/bin/oscam_oldversion.txt)

echo "Current version found: "$box_version
echo "Previous backup on box: "$old_version

if [ "$old_version" <> "$box_version" ] 
then
   echo "Restoring oscam to previous version..."
   cp -f /var/bin/oscam_oldversion.txt /var/etc/plimgr/cams/oscam 
   cp -f /var/bin/oscam_oldversion.old /var/bin/oscam 
   echo "Stopping current oscam..."
   killall -9 oscam
   echo "Restarting..."
   /var/bin/oscam -b -r 2 -c /var/etc/oscam
else
   echo "No other version found... so nothing to restore!"
fi
echo "Done!"
